Index: squid/auth_modules/MSNT/rfcnb-priv.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-priv.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/rfcnb-priv.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/rfcnb-priv.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 /* Defines we need */
 
@@ -51,33 +51,33 @@
 
 /* Structures      */
 
-typedef struct redirect_addr * redirect_ptr;
+typedef struct redirect_addr *redirect_ptr;
 
 struct redirect_addr {
 
-  struct in_addr ip_addr;
-  int port;
-  redirect_ptr next;
+    struct in_addr ip_addr;
+    int port;
+    redirect_ptr next;
 
 };
 
 typedef struct RFCNB_Con {
 
-  int fd;                     /* File descripter for TCP/IP connection */
-  int rfc_errno;                  /* last error                            */
-  int timeout;		      /* How many milli-secs before IO times out */
-  int redirects;	      /* How many times we were redirected     */
-  struct redirect_addr *redirect_list;  /* First is first address */
-  struct redirect_addr *last_addr;
+    int fd;			/* File descripter for TCP/IP connection */
+    int rfc_errno;		/* last error                            */
+    int timeout;		/* How many milli-secs before IO times out */
+    int redirects;		/* How many times we were redirected     */
+    struct redirect_addr *redirect_list;	/* First is first address */
+    struct redirect_addr *last_addr;
 
 } RFCNB_Con;
 
-typedef char RFCNB_Hdr[4]; /* The header is 4 bytes long with  */
-                                    /* char[0] as the type, char[1] the */
-			            /* flags, and char[2..3] the length */
+typedef char RFCNB_Hdr[4];	/* The header is 4 bytes long with  */
+				    /* char[0] as the type, char[1] the */
+				    /* flags, and char[2..3] the length */
 
 /* Macros to extract things from the header. These are for portability
-   between architecture types where we are worried about byte order     */
+ * between architecture types where we are worried about byte order     */
 
 #define RFCNB_Pkt_Hdr_Len        4
 #define RFCNB_Pkt_Sess_Len       72
@@ -85,7 +85,7 @@
 #define RFCNB_Pkt_Nack_Len       5
 #define RFCNB_Pkt_Type_Offset    0
 #define RFCNB_Pkt_Flags_Offset   1
-#define RFCNB_Pkt_Len_Offset     2   /* Length is 2 bytes plus a flag bit */
+#define RFCNB_Pkt_Len_Offset     2	/* Length is 2 bytes plus a flag bit */
 #define RFCNB_Pkt_N1Len_Offset   4
 #define RFCNB_Pkt_Called_Offset  5
 #define RFCNB_Pkt_N2Len_Offset   38
@@ -95,7 +95,7 @@
 #define RFCNB_Pkt_Port_Offset    8
 
 /* The next macro isolates the length of a packet, including the bit in the
-   flags                                                                   */
+ * flags                                                                   */
 
 #define RFCNB_Pkt_Len(p)  (PVAL(p, 3) | (PVAL(p, 2) << 8) |     \
                           ((PVAL(p, RFCNB_Pkt_Flags_Offset) & 0x01) << 16))
@@ -107,38 +107,38 @@
 #define RFCNB_Pkt_Type(p) (CVAL(p, RFCNB_Pkt_Type_Offset))
 
 /*typedef struct RFCNB_Hdr {
-
-  unsigned char type;
-  unsigned char flags;
-  int16 len;
-
-  } RFCNB_Hdr;
-
-typedef struct RFCNB_Sess_Pkt {
-    unsigned char type;
-    unsigned char flags;
-    int16 length;
-    unsigned char n1_len;
-    char called_name[33];
-    unsigned char n2_len;
-    char calling_name[33];
-  } RFCNB_Sess_Pkt;
-
-
-typedef struct RFCNB_Nack_Pkt {
-
-  struct RFCNB_Hdr hdr;
-  unsigned char error;
- 
-  } RFCNB_Nack_Pkt;
-
-typedef struct RFCNB_Retarget_Pkt {
-
-  struct RFCNB_Hdr hdr;
-  int dest_ip;
-  unsigned char port;
-
-  } RFCNB_Redir_Pkt; */
+ * 
+ * unsigned char type;
+ * unsigned char flags;
+ * int16 len;
+ * 
+ * } RFCNB_Hdr;
+ * 
+ * typedef struct RFCNB_Sess_Pkt {
+ * unsigned char type;
+ * unsigned char flags;
+ * int16 length;
+ * unsigned char n1_len;
+ * char called_name[33];
+ * unsigned char n2_len;
+ * char calling_name[33];
+ * } RFCNB_Sess_Pkt;
+ * 
+ * 
+ * typedef struct RFCNB_Nack_Pkt {
+ * 
+ * struct RFCNB_Hdr hdr;
+ * unsigned char error;
+ * 
+ * } RFCNB_Nack_Pkt;
+ * 
+ * typedef struct RFCNB_Retarget_Pkt {
+ * 
+ * struct RFCNB_Hdr hdr;
+ * int dest_ip;
+ * unsigned char port;
+ * 
+ * } RFCNB_Redir_Pkt; */
 
 /* Static variables */
 
@@ -146,5 +146,5 @@
 
 #ifndef RFCNB_ERRNO
 extern int RFCNB_errno;
-extern int RFCNB_saved_errno;    /* Save this from point of error */
+extern int RFCNB_saved_errno;	/* Save this from point of error */
 #endif
Index: squid/auth_modules/MSNT/rfcnb-util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-util.c,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/rfcnb-util.c	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/rfcnb-util.c	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB Utility Routines ...
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB Utility Routines ...
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #include "std-includes.h"
 #include "rfcnb-priv.h"
@@ -36,527 +36,520 @@
 #include <arpa/inet.h>
 #include <string.h>
 
-char *RFCNB_Error_Strings[] = {
+char *RFCNB_Error_Strings[] =
+{
 
-  "RFCNBE_OK: Routine completed successfully.",
-  "RFCNBE_NoSpace: No space available for a malloc call.",
-  "RFCNBE_BadName: NetBIOS name could not be translated to IP address.",
-  "RFCNBE_BadRead: Read system call returned an error. Check errno.",
-  "RFCNBE_BadWrite: Write system call returned an error. Check errno.",
-  "RFCNBE_ProtErr: A protocol error has occurred.",
-  "RFCNBE_ConGone: Connection dropped during a read or write system call.",
-  "RFCNBE_BadHandle: Bad connection handle passed.",
-  "RFCNBE_BadSocket: Problems creating socket.",
-  "RFCNBE_ConnectFailed: Connection failed. See errno.",
-  "RFCNBE_CallRejNLOCN: Call rejected. Not listening on called name.",
-  "RFCNBE_CallRejNLFCN: Call rejected. Not listening for called name.",
-  "RFCNBE_CallRejCNNP: Call rejected. Called name not present.",
-  "RFCNBE_CallRejInfRes: Call rejected. Name present, but insufficient resources.",
-  "RFCNBE_CallRejUnSpec: Call rejected. Unspecified error.",
-  "RFCNBE_BadParam: Bad parameters passed to a routine.",
-  "RFCNBE_Timeout: IO Operation timed out ..."
+    "RFCNBE_OK: Routine completed successfully.",
+    "RFCNBE_NoSpace: No space available for a malloc call.",
+    "RFCNBE_BadName: NetBIOS name could not be translated to IP address.",
+    "RFCNBE_BadRead: Read system call returned an error. Check errno.",
+    "RFCNBE_BadWrite: Write system call returned an error. Check errno.",
+    "RFCNBE_ProtErr: A protocol error has occurred.",
+    "RFCNBE_ConGone: Connection dropped during a read or write system call.",
+    "RFCNBE_BadHandle: Bad connection handle passed.",
+    "RFCNBE_BadSocket: Problems creating socket.",
+    "RFCNBE_ConnectFailed: Connection failed. See errno.",
+    "RFCNBE_CallRejNLOCN: Call rejected. Not listening on called name.",
+    "RFCNBE_CallRejNLFCN: Call rejected. Not listening for called name.",
+    "RFCNBE_CallRejCNNP: Call rejected. Called name not present.",
+    "RFCNBE_CallRejInfRes: Call rejected. Name present, but insufficient resources.",
+    "RFCNBE_CallRejUnSpec: Call rejected. Unspecified error.",
+    "RFCNBE_BadParam: Bad parameters passed to a routine.",
+    "RFCNBE_Timeout: IO Operation timed out ..."
 
 };
 
-extern void (*Prot_Print_Routine)(); /* Pointer to protocol print routine */
+extern void (*Prot_Print_Routine) ();	/* Pointer to protocol print routine */
 
 /* Convert name and pad to 16 chars as needed */
 /* Name 1 is a C string with null termination, name 2 may not be */
 /* If SysName is true, then put a <00> on end, else space>       */
 
-void RFCNB_CvtPad_Name(char *name1, char *name2)
+void 
+RFCNB_CvtPad_Name(char *name1, char *name2)
+{
+    char c, c1, c2;
+    int i, len;
 
-{ char c, c1, c2;
-  int i, len;
+    len = strlen(name1);
 
-  len = strlen(name1);
+    for (i = 0; i < 16; i++) {
 
-  for (i = 0; i < 16; i++) {
+	if (i >= len) {
 
-    if (i >= len) {
+	    c1 = 'C';
+	    c2 = 'A';		/* CA is a space */
 
-     c1 = 'C'; c2 = 'A'; /* CA is a space */
- 
-    } else {
+	} else {
 
-      c = name1[i];
-      c1 = (char)((int)c/16 + (int)'A');
-      c2 = (char)((int)c%16 + (int)'A');
-    }
+	    c = name1[i];
+	    c1 = (char) ((int) c / 16 + (int) 'A');
+	    c2 = (char) ((int) c % 16 + (int) 'A');
+	}
 
-    name2[i*2] = c1;
-    name2[i*2+1] = c2;
+	name2[i * 2] = c1;
+	name2[i * 2 + 1] = c2;
 
-  }
+    }
 
-  name2[32] = 0;   /* Put in the nll ...*/
+    name2[32] = 0;		/* Put in the nll ... */
 
 }
 
 /* Converts an Ascii NB Name (16 chars) to an RFCNB Name (32 chars)
-   Uses the encoding in RFC1001. Each nibble of byte is added to 'A'
-   to produce the next byte in the name.
-
-   This routine assumes that AName is 16 bytes long and that NBName has 
-   space for 32 chars, so be careful ... 
-
-*/
+ * Uses the encoding in RFC1001. Each nibble of byte is added to 'A'
+ * to produce the next byte in the name.
+ * 
+ * This routine assumes that AName is 16 bytes long and that NBName has 
+ * space for 32 chars, so be careful ... 
+ * 
+ */
 
-void RFCNB_AName_To_NBName(char *AName, char *NBName)
-
-{ char c, c1, c2;
-  int i;
+void 
+RFCNB_AName_To_NBName(char *AName, char *NBName)
+{
+    char c, c1, c2;
+    int i;
 
-  for (i=0; i < 16; i++) {
+    for (i = 0; i < 16; i++) {
 
-    c = AName[i];
+	c = AName[i];
 
-    c1 = (char)((c >> 4) + 'A');
-    c2 = (char)((c & 0xF) + 'A');
+	c1 = (char) ((c >> 4) + 'A');
+	c2 = (char) ((c & 0xF) + 'A');
 
-    NBName[i*2] = c1;
-    NBName[i*2+1] = c2;
-  }
+	NBName[i * 2] = c1;
+	NBName[i * 2 + 1] = c2;
+    }
 
-  NBName[32] = 0; /* Put in a null */
+    NBName[32] = 0;		/* Put in a null */
 
 }
 
 /* Do the reverse of the above ... */
 
-void RFCNB_NBName_To_AName(char *NBName, char *AName)
-
-{ char c, c1, c2;
-  int i;
+void 
+RFCNB_NBName_To_AName(char *NBName, char *AName)
+{
+    char c, c1, c2;
+    int i;
 
-  for (i=0; i < 16; i++) {
+    for (i = 0; i < 16; i++) {
 
-    c1 = NBName[i*2];
-    c2 = NBName[i*2+1];
+	c1 = NBName[i * 2];
+	c2 = NBName[i * 2 + 1];
 
-    c = (char)(((int)c1 - (int)'A') * 16 + ((int)c2 - (int)'A'));
+	c = (char) (((int) c1 - (int) 'A') * 16 + ((int) c2 - (int) 'A'));
 
-    AName[i] = c;
+	AName[i] = c;
 
-  }
+    }
 
-  AName[i] = 0;   /* Put a null on the end ... */
+    AName[i] = 0;		/* Put a null on the end ... */
 
 }
 
 /* Print a string of bytes in HEX etc */
 
-void RFCNB_Print_Hex(FILE *fd, struct RFCNB_Pkt *pkt, int Offset, int Len)
-
-{ char c1, c2, outbuf1[33];
-  unsigned char c;
-  int i, j;
-  struct RFCNB_Pkt *pkt_ptr = pkt;
-  static char Hex_List[17] = "0123456789ABCDEF";
-
-  j = 0;
-
-  /* We only want to print as much as sepcified in Len */
-
-  while (pkt_ptr != NULL) {
+void 
+RFCNB_Print_Hex(FILE * fd, struct RFCNB_Pkt *pkt, int Offset, int Len)
+{
+    char c1, c2, outbuf1[33];
+    unsigned char c;
+    int i, j;
+    struct RFCNB_Pkt *pkt_ptr = pkt;
+    static char Hex_List[17] = "0123456789ABCDEF";
+
+    j = 0;
+
+    /* We only want to print as much as sepcified in Len */
+
+    while (pkt_ptr != NULL) {
+
+	for (i = 0;
+	    i < ((Len > (pkt_ptr->len) ? pkt_ptr->len : Len) - Offset);
+	    i++) {
+
+	    c = pkt_ptr->data[i + Offset];
+	    c1 = Hex_List[c >> 4];
+	    c2 = Hex_List[c & 0xF];
+
+	    outbuf1[j++] = c1;
+	    outbuf1[j++] = c2;
+
+	    if (j == 32) {	/* Print and reset */
+		outbuf1[j] = 0;
+		fprintf(fd, "    %s\n", outbuf1);
+		j = 0;
+	    }
+	}
+
+	Offset = 0;
+	Len = Len - pkt_ptr->len;	/* Reduce amount by this much */
+	pkt_ptr = pkt_ptr->next;
 
-    for (i = 0; 
-	 i < ((Len > (pkt_ptr -> len)?pkt_ptr -> len:Len) - Offset); 
-	 i++) {
+    }
 
-      c = pkt_ptr -> data[i + Offset];
-      c1 = Hex_List[c >> 4];
-      c2 = Hex_List[c & 0xF];
+    /* Print last lot in the buffer ... */
 
-      outbuf1[j++] = c1; outbuf1[j++] = c2;
+    if (j > 0) {
 
-      if (j == 32){ /* Print and reset */
 	outbuf1[j] = 0;
 	fprintf(fd, "    %s\n", outbuf1);
-	j = 0;
-      }
 
     }
-
-    Offset = 0;
-    Len = Len - pkt_ptr -> len;   /* Reduce amount by this much */
-    pkt_ptr = pkt_ptr -> next;
-
-  }
-
-  /* Print last lot in the buffer ... */
-
-  if (j > 0) {
-
-    outbuf1[j] = 0;
-    fprintf(fd, "    %s\n", outbuf1);
-
-  }
-
-  fprintf(fd, "\n");
+    fprintf(fd, "\n");
 
 }
 
 /* Get a packet of size n */
 
-struct RFCNB_Pkt *RFCNB_Alloc_Pkt(int n)
-
-{ RFCNB_Pkt *pkt;
-
-  if ((pkt = (struct RFCNB_Pkt *)malloc(sizeof(struct RFCNB_Pkt))) == NULL) {
-
-    RFCNB_errno = RFCNBE_NoSpace;
-    RFCNB_saved_errno = errno;
-    return(NULL);
+struct RFCNB_Pkt *
+RFCNB_Alloc_Pkt(int n)
+{
+    RFCNB_Pkt *pkt;
 
-  }
+    if ((pkt = (struct RFCNB_Pkt *) malloc(sizeof(struct RFCNB_Pkt))) == NULL) {
 
-  pkt -> next = NULL;
-  pkt -> len = n;
+	RFCNB_errno = RFCNBE_NoSpace;
+	RFCNB_saved_errno = errno;
+	return (NULL);
 
-  if (n == 0) return(pkt);
+    }
+    pkt->next = NULL;
+    pkt->len = n;
 
-  if ((pkt -> data = (char *)malloc(n)) == NULL) {
+    if (n == 0)
+	return (pkt);
 
-    RFCNB_errno = RFCNBE_NoSpace;
-    RFCNB_saved_errno = errno;
-    free(pkt);
-    return(NULL);
+    if ((pkt->data = (char *) malloc(n)) == NULL) {
 
-  }
+	RFCNB_errno = RFCNBE_NoSpace;
+	RFCNB_saved_errno = errno;
+	free(pkt);
+	return (NULL);
 
-  return(pkt);
+    }
+    return (pkt);
 
 }
 
 /* Free up a packet */
 
-void RFCNB_Free_Pkt(struct RFCNB_Pkt *pkt)
-
-{ struct RFCNB_Pkt *pkt_next; char *data_ptr;
+void 
+RFCNB_Free_Pkt(struct RFCNB_Pkt *pkt)
+{
+    struct RFCNB_Pkt *pkt_next;
+    char *data_ptr;
 
-  while (pkt != NULL) {
+    while (pkt != NULL) {
 
-    pkt_next = pkt -> next;
+	pkt_next = pkt->next;
 
-    data_ptr = pkt -> data;
+	data_ptr = pkt->data;
 
-    if (data_ptr != NULL)
-      free(data_ptr);
+	if (data_ptr != NULL)
+	    free(data_ptr);
 
-    free(pkt);
+	free(pkt);
 
-    pkt = pkt_next;
+	pkt = pkt_next;
 
-  }
+    }
 
 }
 
 /* Print an RFCNB packet */
 
-void RFCNB_Print_Pkt(FILE *fd, char *dirn, struct RFCNB_Pkt *pkt, int len)
-
-{ char lname[17];
+void 
+RFCNB_Print_Pkt(FILE * fd, char *dirn, struct RFCNB_Pkt *pkt, int len)
+{
+    char lname[17];
 
-  /* We assume that the first fragment is the RFCNB Header  */
-  /* We should loop through the fragments printing them out */
+    /* We assume that the first fragment is the RFCNB Header  */
+    /* We should loop through the fragments printing them out */
 
-  fprintf(fd, "RFCNB Pkt %s:", dirn);
+    fprintf(fd, "RFCNB Pkt %s:", dirn);
 
-  switch (RFCNB_Pkt_Type(pkt -> data)) {
+    switch (RFCNB_Pkt_Type(pkt->data)) {
 
-  case RFCNB_SESSION_MESSAGE: 
+    case RFCNB_SESSION_MESSAGE:
 
-    fprintf(fd, "SESSION MESSAGE: Length = %i\n", RFCNB_Pkt_Len(pkt -> data));
-    RFCNB_Print_Hex(fd, pkt, RFCNB_Pkt_Hdr_Len, 
+	fprintf(fd, "SESSION MESSAGE: Length = %i\n", RFCNB_Pkt_Len(pkt->data));
+	RFCNB_Print_Hex(fd, pkt, RFCNB_Pkt_Hdr_Len,
 #ifdef RFCNB_PRINT_DATA
-		    RFCNB_Pkt_Len(pkt -> data) - RFCNB_Pkt_Hdr_Len);
+	    RFCNB_Pkt_Len(pkt->data) - RFCNB_Pkt_Hdr_Len);
 #else
-                    40);
+	    40);
 #endif
 
-  if (Prot_Print_Routine != 0) { /* Print the rest of the packet */
-	
-    Prot_Print_Routine(fd, strcmp(dirn, "sent"), pkt, RFCNB_Pkt_Hdr_Len,
-		       RFCNB_Pkt_Len(pkt -> data) - RFCNB_Pkt_Hdr_Len);
+	if (Prot_Print_Routine != 0) {	/* Print the rest of the packet */
 
-      }
+	    Prot_Print_Routine(fd, strcmp(dirn, "sent"), pkt, RFCNB_Pkt_Hdr_Len,
+		RFCNB_Pkt_Len(pkt->data) - RFCNB_Pkt_Hdr_Len);
 
-      break;
-
- case RFCNB_SESSION_REQUEST:
+	}
+	break;
 
-      fprintf(fd, "SESSION REQUEST: Length = %i\n",
-		  RFCNB_Pkt_Len(pkt -> data));
-      RFCNB_NBName_To_AName((char *)(pkt -> data + RFCNB_Pkt_Called_Offset), lname);
-      fprintf(fd, "  Called Name: %s\n", lname);
-      RFCNB_NBName_To_AName((char *)(pkt -> data + RFCNB_Pkt_Calling_Offset), lname);
-      fprintf(fd, "  Calling Name: %s\n", lname);
+    case RFCNB_SESSION_REQUEST:
 
-      break;
+	fprintf(fd, "SESSION REQUEST: Length = %i\n",
+	    RFCNB_Pkt_Len(pkt->data));
+	RFCNB_NBName_To_AName((char *) (pkt->data + RFCNB_Pkt_Called_Offset), lname);
+	fprintf(fd, "  Called Name: %s\n", lname);
+	RFCNB_NBName_To_AName((char *) (pkt->data + RFCNB_Pkt_Calling_Offset), lname);
+	fprintf(fd, "  Calling Name: %s\n", lname);
 
- case RFCNB_SESSION_ACK:
+	break;
 
-      fprintf(fd, "RFCNB SESSION ACK: Length = %i\n",
-		  RFCNB_Pkt_Len(pkt -> data));
+    case RFCNB_SESSION_ACK:
 
-      break;
+	fprintf(fd, "RFCNB SESSION ACK: Length = %i\n",
+	    RFCNB_Pkt_Len(pkt->data));
 
- case RFCNB_SESSION_REJ:
-      fprintf(fd, "RFCNB SESSION REJECT: Length = %i\n", 
-		  RFCNB_Pkt_Len(pkt -> data));
+	break;
 
-      if (RFCNB_Pkt_Len(pkt -> data) < 1) {
-	fprintf(fd, "   Protocol Error, short Reject packet!\n");
-      }
-      else {
-	fprintf(fd, "   Error = %x\n", CVAL(pkt -> data, RFCNB_Pkt_Error_Offset));
-      }
+    case RFCNB_SESSION_REJ:
+	fprintf(fd, "RFCNB SESSION REJECT: Length = %i\n",
+	    RFCNB_Pkt_Len(pkt->data));
+
+	if (RFCNB_Pkt_Len(pkt->data) < 1) {
+	    fprintf(fd, "   Protocol Error, short Reject packet!\n");
+	} else {
+	    fprintf(fd, "   Error = %x\n", CVAL(pkt->data, RFCNB_Pkt_Error_Offset));
+	}
 
-      break;
+	break;
 
- case RFCNB_SESSION_RETARGET:
+    case RFCNB_SESSION_RETARGET:
 
-      fprintf(fd, "RFCNB SESSION RETARGET: Length = %i\n",
-		  RFCNB_Pkt_Len(pkt -> data));
+	fprintf(fd, "RFCNB SESSION RETARGET: Length = %i\n",
+	    RFCNB_Pkt_Len(pkt->data));
 
-      /* Print out the IP address etc and the port? */
+	/* Print out the IP address etc and the port? */
 
-      break;
+	break;
 
- case RFCNB_SESSION_KEEP_ALIVE:
+    case RFCNB_SESSION_KEEP_ALIVE:
 
-      fprintf(fd, "RFCNB SESSION KEEP ALIVE: Length = %i\n",
-	      RFCNB_Pkt_Len(pkt -> data));
-      break;
+	fprintf(fd, "RFCNB SESSION KEEP ALIVE: Length = %i\n",
+	    RFCNB_Pkt_Len(pkt->data));
+	break;
 
     default:
 
-      break;
-  }
+	break;
+    }
 
 }
 
 /* Resolve a name into an address */
 
-int RFCNB_Name_To_IP(char *host, struct in_addr *Dest_IP)
+int 
+RFCNB_Name_To_IP(char *host, struct in_addr *Dest_IP)
+{
+    int addr;			/* Assumes IP4, 32 bit network addresses */
+    struct hostent *hp;
 
-{ int addr;         /* Assumes IP4, 32 bit network addresses */
-  struct hostent *hp;
+    /* Use inet_addr to try to convert the address */
 
-        /* Use inet_addr to try to convert the address */
+    if ((addr = inet_addr(host)) == INADDR_NONE) {	/* Oh well, a good try :-) */
 
-  if ((addr = inet_addr(host)) == INADDR_NONE) { /* Oh well, a good try :-) */
+	/* Now try a name look up with gethostbyname */
 
-        /* Now try a name look up with gethostbyname */
+	if ((hp = gethostbyname(host)) == NULL) {	/* Not in DNS */
 
-    if ((hp = gethostbyname(host)) == NULL) { /* Not in DNS */
+	    /* Try NetBIOS name lookup, how the hell do we do that? */
 
-        /* Try NetBIOS name lookup, how the hell do we do that? */
+	    RFCNB_errno = RFCNBE_BadName;	/* Is this right? */
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-      RFCNB_errno = RFCNBE_BadName;   /* Is this right? */
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	} else {		/* We got a name */
 
-    }
-    else {  /* We got a name */
+	    memcpy((void *) Dest_IP, (void *) hp->h_addr_list[0], sizeof(struct in_addr));
 
-       memcpy((void *)Dest_IP, (void *)hp -> h_addr_list[0], sizeof(struct in_addr));
+	}
+    } else {			/* It was an IP address */
 
-    }
-  }
-  else { /* It was an IP address */
-
-    memcpy((void *)Dest_IP, (void *)&addr, sizeof(struct in_addr));
+	memcpy((void *) Dest_IP, (void *) &addr, sizeof(struct in_addr));
 
-  }
+    }
 
-  return 0;
+    return 0;
 
 }
 
 /* Disconnect the TCP connection to the server */
 
-int RFCNB_Close(int socket)
-
+int 
+RFCNB_Close(int socket)
 {
 
-  close(socket);
+    close(socket);
 
-  /* If we want to do error recovery, here is where we put it */
+    /* If we want to do error recovery, here is where we put it */
 
-  return 0;
+    return 0;
 
 }
 
 /* Connect to the server specified in the IP address.
-   Not sure how to handle socket options etc.         */
-
-int RFCNB_IP_Connect(struct in_addr Dest_IP, int port)
+ * Not sure how to handle socket options etc.         */
 
-{ struct sockaddr_in Socket;
-  int fd;
-
-  /* Create a socket */
+int 
+RFCNB_IP_Connect(struct in_addr Dest_IP, int port)
+{
+    struct sockaddr_in Socket;
+    int fd;
 
-  if ((fd = socket(PF_INET, SOCK_STREAM, 0)) < 0) { /* Handle the error */
+    /* Create a socket */
 
-    RFCNB_errno = RFCNBE_BadSocket;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
-    } 
+    if ((fd = socket(PF_INET, SOCK_STREAM, 0)) < 0) {	/* Handle the error */
 
-  bzero((char *)&Socket, sizeof(Socket));
-  memcpy((char *)&Socket.sin_addr, (char *)&Dest_IP, sizeof(Dest_IP));
+	RFCNB_errno = RFCNBE_BadSocket;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
+    }
+    bzero((char *) &Socket, sizeof(Socket));
+    memcpy((char *) &Socket.sin_addr, (char *) &Dest_IP, sizeof(Dest_IP));
 
-  Socket.sin_port = htons(port);
-  Socket.sin_family = PF_INET;
+    Socket.sin_port = htons(port);
+    Socket.sin_family = PF_INET;
 
-  /* Now connect to the destination */
+    /* Now connect to the destination */
 
-  if (connect(fd, (struct sockaddr *)&Socket, sizeof(Socket)) < 0) { /* Error */
+    if (connect(fd, (struct sockaddr *) &Socket, sizeof(Socket)) < 0) {		/* Error */
 
-    close(fd);
-    RFCNB_errno = RFCNBE_ConnectFailed;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
+	close(fd);
+	RFCNB_errno = RFCNBE_ConnectFailed;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
     }
-
-  return(fd);
+    return (fd);
 
 }
 
 /* handle the details of establishing the RFCNB session with remote 
-   end 
-
-*/
-
-int RFCNB_Session_Req(struct RFCNB_Con *con, 
-		      char *Called_Name, 
-		      char *Calling_Name,
-		      BOOL *redirect,
-		      struct in_addr *Dest_IP,
-		      int * port)
-
-{ char *sess_pkt;
-
-  /* Response packet should be no more than 9 bytes, make 16 jic */
+ * end 
+ * 
+ */
+
+int 
+RFCNB_Session_Req(struct RFCNB_Con *con,
+    char *Called_Name,
+    char *Calling_Name,
+    BOOL * redirect,
+    struct in_addr *Dest_IP,
+    int *port)
+{
+    char *sess_pkt;
 
-  char resp[16];
-  int len;
-  struct RFCNB_Pkt *pkt, res_pkt;
+    /* Response packet should be no more than 9 bytes, make 16 jic */
 
-  /* We build and send the session request, then read the response */
+    char resp[16];
+    int len;
+    struct RFCNB_Pkt *pkt, res_pkt;
 
-  pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Sess_Len);
+    /* We build and send the session request, then read the response */
 
-  if (pkt == NULL) {
+    pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Sess_Len);
 
-    return(RFCNBE_Bad);  /* Leave the error that RFCNB_Alloc_Pkt gives) */
+    if (pkt == NULL) {
 
-  }
+	return (RFCNBE_Bad);	/* Leave the error that RFCNB_Alloc_Pkt gives) */
 
-  sess_pkt = pkt -> data;    /* Get pointer to packet proper */
+    }
+    sess_pkt = pkt->data;	/* Get pointer to packet proper */
 
-  sess_pkt[RFCNB_Pkt_Type_Offset]  = RFCNB_SESSION_REQUEST;
-  RFCNB_Put_Pkt_Len(sess_pkt, (RFCNB_Pkt_Sess_Len-RFCNB_Pkt_Hdr_Len));
-  sess_pkt[RFCNB_Pkt_N1Len_Offset] = 32;
-  sess_pkt[RFCNB_Pkt_N2Len_Offset] = 32;
+    sess_pkt[RFCNB_Pkt_Type_Offset] = RFCNB_SESSION_REQUEST;
+    RFCNB_Put_Pkt_Len(sess_pkt, (RFCNB_Pkt_Sess_Len - RFCNB_Pkt_Hdr_Len));
+    sess_pkt[RFCNB_Pkt_N1Len_Offset] = 32;
+    sess_pkt[RFCNB_Pkt_N2Len_Offset] = 32;
 
-  RFCNB_CvtPad_Name(Called_Name, (sess_pkt + RFCNB_Pkt_Called_Offset));
-  RFCNB_CvtPad_Name(Calling_Name, (sess_pkt + RFCNB_Pkt_Calling_Offset));
+    RFCNB_CvtPad_Name(Called_Name, (sess_pkt + RFCNB_Pkt_Called_Offset));
+    RFCNB_CvtPad_Name(Calling_Name, (sess_pkt + RFCNB_Pkt_Calling_Offset));
 
-  /* Now send the packet */
+    /* Now send the packet */
 
 #ifdef RFCNB_DEBUG
 
-  fprintf(stderr, "Sending packet: ");
-  
+    fprintf(stderr, "Sending packet: ");
+
 #endif
 
-  if ((len = RFCNB_Put_Pkt(con, pkt, RFCNB_Pkt_Sess_Len)) < 0) {
+    if ((len = RFCNB_Put_Pkt(con, pkt, RFCNB_Pkt_Sess_Len)) < 0) {
 
-    return(RFCNBE_Bad);       /* Should be able to write that lot ... */
+	return (RFCNBE_Bad);	/* Should be able to write that lot ... */
 
     }
-
 #ifdef RFCNB_DEBUG
 
-  fprintf(stderr, "Getting packet.\n");
+    fprintf(stderr, "Getting packet.\n");
 
 #endif
 
-  res_pkt.data = resp;
-  res_pkt.len  = sizeof(resp);
-  res_pkt.next = NULL;
+    res_pkt.data = resp;
+    res_pkt.len = sizeof(resp);
+    res_pkt.next = NULL;
 
-  if ((len = RFCNB_Get_Pkt(con, &res_pkt, sizeof(resp))) < 0) {
+    if ((len = RFCNB_Get_Pkt(con, &res_pkt, sizeof(resp))) < 0) {
 
-    return(RFCNBE_Bad);
+	return (RFCNBE_Bad);
 
-  }
+    }
+    /* Now analyze the packet ... */
 
-  /* Now analyze the packet ... */
+    switch (RFCNB_Pkt_Type(resp)) {
 
-  switch (RFCNB_Pkt_Type(resp)) {
+    case RFCNB_SESSION_REJ:	/* Didnt like us ... too bad */
 
-    case RFCNB_SESSION_REJ:         /* Didnt like us ... too bad */
+	/* Why did we get rejected ? */
 
-      /* Why did we get rejected ? */
-    
-      switch (CVAL(resp,RFCNB_Pkt_Error_Offset)) {
+	switch (CVAL(resp, RFCNB_Pkt_Error_Offset)) {
+
+	case 0x80:
+	    RFCNB_errno = RFCNBE_CallRejNLOCN;
+	    break;
+	case 0x81:
+	    RFCNB_errno = RFCNBE_CallRejNLFCN;
+	    break;
+	case 0x82:
+	    RFCNB_errno = RFCNBE_CallRejCNNP;
+	    break;
+	case 0x83:
+	    RFCNB_errno = RFCNBE_CallRejInfRes;
+	    break;
+	case 0x8F:
+	    RFCNB_errno = RFCNBE_CallRejUnSpec;
+	    break;
+	default:
+	    RFCNB_errno = RFCNBE_ProtErr;
+	    break;
+	}
 
-      case 0x80: 
-	RFCNB_errno = RFCNBE_CallRejNLOCN;
-	break;
-      case 0x81:
-	RFCNB_errno = RFCNBE_CallRejNLFCN;
-	break;
-      case 0x82:
-	RFCNB_errno = RFCNBE_CallRejCNNP;
-	break;
-      case 0x83:
-	RFCNB_errno = RFCNBE_CallRejInfRes;
-	break;
-      case 0x8F:
-	RFCNB_errno = RFCNBE_CallRejUnSpec;
+	return (RFCNBE_Bad);
 	break;
-      default:
-	RFCNB_errno = RFCNBE_ProtErr;
-	break;
-      }
-
-      return(RFCNBE_Bad);
-      break;
 
-    case RFCNB_SESSION_ACK:        /* Got what we wanted ...      */
+    case RFCNB_SESSION_ACK:	/* Got what we wanted ...      */
 
-      return(0);
-      break;
+	return (0);
+	break;
 
-    case RFCNB_SESSION_RETARGET:   /* Go elsewhere                */
+    case RFCNB_SESSION_RETARGET:	/* Go elsewhere                */
 
-      *redirect = TRUE;       /* Copy port and ip addr       */
+	*redirect = TRUE;	/* Copy port and ip addr       */
 
-      memcpy(Dest_IP, (resp + RFCNB_Pkt_IP_Offset), sizeof(struct in_addr));
-      *port = SVAL(resp, RFCNB_Pkt_Port_Offset);
+	memcpy(Dest_IP, (resp + RFCNB_Pkt_IP_Offset), sizeof(struct in_addr));
+	*port = SVAL(resp, RFCNB_Pkt_Port_Offset);
 
-      return(0);
-      break;
+	return (0);
+	break;
 
-    default:  /* A protocol error */
+    default:			/* A protocol error */
 
-      RFCNB_errno = RFCNBE_ProtErr;
-      return(RFCNBE_Bad);
-      break;
+	RFCNB_errno = RFCNBE_ProtErr;
+	return (RFCNBE_Bad);
+	break;
     }
 }
-
-
-
-
-
-
-
-
-
